Module | Sequel::Plugins::SingleTableInheritance::InstanceMethods
In: | lib/sequel/plugins/single_table_inheritance.rb

### Methods

before_create

### Public Instance methods

before_create()

Set the sti_key column to the name of the model.

[Source]

        # File lib/sequel/plugins/single_table_inheritance.rb, line 56
    56:         def before_create
    57:           return false if super == false
    58:           send("#{model.sti_key}=", model.name.to_s) unless send(model.sti_key)
    59:         end

[Validate]